Package org.eclipse.cdt.utils.coff

# Class Coff64.Lineno

java.lang.Object
org.eclipse.cdt.utils.coff.Coff64.Lineno

Enclosing class:
  `Coff64`

public static class Coff64.Lineno extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`l_addr`
`int`
`l_lnno`
`static final int`
`LINESZ`

## Constructor Summary

Constructors
Constructor
Description
`Lineno(RandomAccessFile file)`
`Lineno(RandomAccessFile file, long offset)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### LINESZ

public static final int LINESZ

See Also:
  - Constant Field Values

### l_addr

public int l_addr

### l_lnno

public int l_lnno

## Constructor Details

### Lineno

public Lineno(RandomAccessFile file) throws IOException

Throws:
  `IOException`

### Lineno

public Lineno(RandomAccessFile file, long offset) throws IOException

Throws:
  `IOException`

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`